# SKG Watcher

A Python application that fetches signature progress from the ECI API every 15 minutes and sends updates to a Telegram channel.

## Setup

1. Install dependencies:
```bash
poetry install
```

2. Set up environment variables:
   - Copy the example environment file:
     ```bash
     cp .env.example .env
     ```
   - Edit the `.env` file and fill in your Telegram bot token and channel name

3. Run the application:
```bash
poetry run python -m skg_watcher.main
```

## Configuration

- `TELEGRAM_TOKEN`: Your Telegram bot token (get it from @BotFather)
- `TELEGRAM_CHANNEL`: Your Telegram channel ID (must start with @)

## Features

- Fetches signature progress from the ECI API every 15 minutes
- Sends formatted progress updates to a Telegram channel
- Error handling and logging
- Immediate first run followed by scheduled runs
